%define         _state          stable
%define		orgname		libkdcraw
%define         qtver           4.8.1

Summary:	KDcraw libary
Summary(pl.UTF-8):	Biblioteka KDcraw
Name:		kde4-libkdcraw
Version:	4.9.0
Release:	1
License:	GPL v2+
Group:		X11/Libraries
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	dcdfb3de67d4fd5e513de21ae8e534e6
URL:		http://www.kde.org/
BuildRequires:	lcms-devel
BuildRequires:	libjpeg-devel
BuildRequires:	rpmbuild(macros) >= 1.164
Obsoletes:	libkdcraw < 4.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The KDcraw Library is part of the KIPI Project.

%description -l pl.UTF-8
Biblioteka KDcraw jest częścią projektu KIPI.

%package devel
Summary:	Header files for libkdcraw development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających libkdcraw
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	libkdcraw-devel < 4.8.0

%description devel
Header files for libkdcraw development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających libkdcraw.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
		../
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
        DESTDIR=$RPM_BUILD_ROOT \
        kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %ghost %{_libdir}/libkdcraw.so.??
%attr(755,root,root) %{_libdir}/libkdcraw.so.*.*.*
%{_datadir}/apps/libkdcraw
%{_iconsdir}/hicolor/*x*/apps/kdcraw.png

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libkdcraw.so
%{_includedir}/libkdcraw
%{_pkgconfigdir}/libkdcraw.pc
%changelog
* Sat Jul 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 4600230
- up to 4.9.0

* Mon Jun 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 06ad0f4
- up to 4.8.4

* Thu May 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 0a46845
- up to 4.8.3

* Sat Mar 31 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 1e9ba8a
- up to 4.8.2

* Thu Mar 08 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 91fad9c
- flat xz layout was used in final version

* Sat Mar 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 0e4ae49
- up to 4.8.1

* Sat Jan 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 6f6baa4
- now as kde4-libkdcraw

* Thu Jan 19 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 5b09109
- up to 4.8.0

* Sat Dec 03 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 554661a
- up to 4.7.4

* Sat Oct 29 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> fb2d805
- up to 4.7.3

* Mon Oct 03 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 5273b95
- up to 4.7.2

* Wed Sep 14 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> cc11ab8
- more O fixes

* Wed Sep 14 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 31e9ad3
- rel 2; O fixes

* Fri Sep 09 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 8ecb580
- up to 4.7.1

* Wed Jul 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 6834ea1
- up to kde 4.7.0

* Wed Jan 20 2010 Elan Ruusamäe <glen@pld-linux.org> 78ac041
- add kde-am.patch; update url, unset ccache

* Tue Nov 11 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> faf3a23
- release 2

* Tue Apr 22 2008 shadzik <shadzik@pld-linux.org> 13582ba
- 0.1.4
- some minor changes in %files

* Sun Jan 27 2008 Jakub Bogusz <qboosh@pld-linux.org> 13c4603
- more verbose files, ghost soname symlink
- License is GPL (v2+)
- BR: libjpeg-devel (for internal dcraw program copy, regardless of what KDE is linked with)

* Sun Dec 30 2007 Robert Tomasik <rotom@pld-linux.org> 721b199
- find lang added

